
#define Control_1        0x00
#define Control_2        0x01
#define Control_3        0x02
#define Seconds          0x03
#define Minutes          0x04
#define Hours            0x05
#define Days             0x06
#define Weekdays         0x07
#define Months           0x08
#define Years            0x09
#define Second_alarm     0x0a
#define Minute_alarm     0x0b
#define Hour_alarm       0x0c
#define Day_alarm        0x0d
#define Weekday_alarm    0x0e
#define CLKOUT_ctl       0x0f
#define Watchdg_tim_ctl  0x10
#define Watchdg_tim_val  0x11
#define Timestp_ctl      0x12
#define Sec_timestp      0x13
#define Min_timestp      0x14
#define Hour_timestp     0x15
#define Day_timestp      0x16
#define Mon_timestp      0x17
#define Year_timestp     0x18
#define Aging_offset     0x19
#define Internal_reg     0x1a


#define PCF2129AT_ADDR   0x51

typedef struct
{
  char   s;         // 秒
  char   m;         // 分
  char   h;         // 時間
  char   d;         // 日
  char   wd;        // 曜日
  char   mm;        // 月
  short   y;        // 年
} dt_dat, *pdt_dat;


class PCF2129AT
{
  public:
    PCF2129AT(){};
    void init();
    void dataSend(int,int,int*,int);
    void dataRead(int,int,int*,int);
    void getTime(dt_dat *);
    void setDate(dt_dat *);


    ~PCF2129AT(){};

  private:

};
